// Make elements as circle.
@mixin on-circle($item-count, $circle-size, $item-size) {
	@include border-radius(50%);
	height: $circle-size;
	list-style: none;
	padding: 0;
	position: relative;
	width: $circle-size;

	> * {
		@include absolute(top 50% left 50%);
		display: block;
		height: $item-size;
		margin: -($item-size / 5);
		width:  $item-size;

		$angle: (360 / $item-count);
		$rot: 0;

		@for $i from 1 through $item-count {
			&:nth-of-type(#{$i}) {
				@include transform(rotate($rot + 1deg) translate($circle-size / 2) rotate($rot * -1deg));
			}

			$rot: $rot + $angle;
		}
	}
}
